Search documentation of wx

# wxScrollWinEvent (wx v2.4.3.1)

View Source

A scroll event holds information about events sent from scrolling windows.

Note that you can use the EVT_SCROLLWIN* macros for intercepting scroll window events from the receiving window.

See:

- `wxScrollEvent`

- Overview events

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxScrollWinEvent

## Events

Use `wxEvtHandler:connect/3` with `wxScrollWinEventType` to subscribe to events of this type.

# Summary

## Types

wxScrollWin()
wxScrollWinEvent()
wxScrollWinEventType()

## Functions

getOrientation(This)

Returns wxHORIZONTAL or wxVERTICAL, depending on the orientation of the scrollbar.

getPosition(This)

Returns the position of the scrollbar for the thumb track and release events.

# Types

# wxScrollWin()

    -type wxScrollWin() ::
              #wxScrollWin{type :: wxScrollWinEvent:wxScrollWinEventType(),
                           commandInt :: integer(),
                           extraLong :: integer()}.

# wxScrollWinEvent()

    -type wxScrollWinEvent() :: wx:wx_object().

# wxScrollWinEventType()

    -type wxScrollWinEventType() ::
              scrollwin_top | scrollwin_bottom | scrollwin_lineup | scrollwin_linedown | scrollwin_pageup |
              scrollwin_pagedown | scrollwin_thumbtrack | scrollwin_thumbrelease.

# Functions

# getOrientation(This)

    -spec getOrientation(This) -> integer() when This :: wxScrollWinEvent().

Returns wxHORIZONTAL or wxVERTICAL, depending on the orientation of the scrollbar.

# getPosition(This)

    -spec getPosition(This) -> integer() when This :: wxScrollWinEvent().

Returns the position of the scrollbar for the thumb track and release events.

Note that this field can't be used for the other events, you need to query the window itself for the current position in that case.